"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const canUseDOM = !!(typeof window !== 'undefined' &&
    window.document &&
    window.document.createElement);
function useSSR() {
    const [inBrowser, setInBrowser] = react_1.useState(canUseDOM);
    react_1.useEffect(() => {
        setInBrowser(canUseDOM);
        return () => {
            setInBrowser(false);
        };
    }, []);
    const useSSRObject = react_1.useMemo(() => ({
        isBrowser: inBrowser,
        isServer: !inBrowser,
        canUseWorkers: typeof Worker !== 'undefined',
        canUseEventListeners: inBrowser && !!window.addEventListener,
        canUseViewport: inBrowser && !!window.screen
    }), [inBrowser]);
    return react_1.useMemo(() => Object.assign(Object.values(useSSRObject), useSSRObject), [inBrowser]);
}
exports.default = useSSR;
//# sourceMappingURL=useSSR.js.map